/****************************************************************************
** fileNameFuntions.h
**
** implementation of file name functions and tests (for sprtalay) 
**
** Created: Sat Okt 04 11:37:49 2003
** 
** by Karsten Hiller 
** 
****************************************************************************/

/*****************************************************************************
** FilePathComp komprimiert die Lnge des FilePfades fr die Statusanzeige
** char* filepathcomp - Zeiger auf den komprimierten FilePfadNamen
** char* filepath - Zeiger auf gesamten FilePfadNamen
** ushort complen - maximal erwnschte Lnge des FilePfadNamens
** Der Rckgabewert ist der Zeiger auf den komprimierten FilePfadNamen
*****************************************************************************/
char* FilePathComp( char* filepathcomp, char* filepath, ushort complen);

/*****************************************************************************
** MakeValidFileName ersetzt in den bergeben Filenamen ggf. ungltige Zeichen
** durch einen Bindestrich '-'
** erlaubte Zeichen in DOS: a-z A-Z 0-9 $% '-_@~`!(){}^#&	WIN: +,;=[]
** validFileName - Zeiger auf korregierten Filenamen
** fileName - Zeiger auf den zu prfenden Filenamen
** Der Rckgabewert ist der Zeiger auf den korregierten Filenamen
*****************************************************************************/
char* MakeValidFileName( char* validFileName, uchar* fileName );