/****************************************************************************
** implementation of Error Messages Dialogs by MegaCAD LG_xxx Functions
**
** Created: Mon Sep 29 22:18:00 2003
** 
** by K. Hiller
** 
****************************************************************************/

/****************************************************************************
** LG_Error erzeugt eine Windows Messagebox in der die Fehlernummer der
** LG_xxx Funktion von den MegaCAD Layerfunktionen und eine Textbeschreibung
** des Fehlers ausgegeben wird.
** name - Zeiger auf den Name der Messagebox, 
**		  Name der Funktion welche den Fehler erzeugte (z.B. Layer oder Gruppe)
** *err - Zeiger auf den Fehlermeldungswert lt. LGERR_xxx aus MEGATYP.H
** Der Rckgabewert gibt den Wert des Button der Messagebox zurck s. WinAPI
** (z.B. bei OK = 0, bei ESC = -1)		  
****************************************************************************/
int LG_Error( char *name, ushort *err);	
